Bug 2106820 - [Agent]: apply-host-config service is unable to connect all the hosts
Summary: [Agent]: apply-host-config service is unable to connect all the hosts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.12
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.12.0
Assignee: Zane Bitter
QA Contact: Manoj Hans
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-13 15:18 UTC by Manoj Hans
Modified: 2024-04-30 18:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-30 18:04:53 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 6118 0 None open Bug 2106820: Convert all MAC addresses to lowercase 2022-07-13 16:47:42 UTC

Description Manoj Hans 2022-07-13 15:18:40 UTC
Service is unable to connect the hosts when we can provide the mac addresses and hosts name from the agent-config.yaml file during the image creation.

cat agent-config.yaml
------------------------------------------------------
kind: AgentConfig
metadata:
  name: agent-config-cluster0
spec:
  hosts:
    - hostname: control-0.example.org
      interfaces:
        - name: eno1
          macAddress: 34:73:5A:9E:5B:24
    - hostname: control-1.example.org
      interfaces:
        - name: eno1
          macAddress: 34:73:5A:9E:59:1C
    - hostname: control-2.example.org
      interfaces:
        - name: eno1
          macAddress: 34:73:5A:9E:5A:BC

------------------------------------------------------

Here is the logs of the service.

Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="No config found for host"
Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="No agent found matching config at /etc/assisted/hostconfig/control-0.example.org (34:73:5A:9E:5B:24)"
Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="No agent found matching config at /etc/assisted/hostconfig/control-1.example.org (34:73:5A:9E:59:1C)"
Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="No agent found matching config at /etc/assisted/hostconfig/control-2.example.org (34:73:5A:9E:5A:BC)"
Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="Not all hosts present yet"
Jul 13 15:02:41 control-0.example.org apply-host-config[20124]: time="2022-07-13T15:02:41Z" level=info msg="Sleeping for 32s"
------------------------------------------------------

Comment 2 Manoj Hans 2022-08-01 14:22:02 UTC
Changes have been verified in the latest code. It's working fine. Hence, closing this bug.

Comment 3 Rory Thrasher 2024-04-30 18:04:53 UTC
OCP is no longer using Bugzilla and this bug appears to have been left in an orphaned state. If the bug is still relevant, please open a new issue in the OCPBUGS Jira project: https://issues.redhat.com/projects/OCPBUGS/summary


Note You need to log in before you can comment on or make changes to this bug.